spoonity logo
      spoonity logo
    • Getting Started

      • Introduction
      • Authentication
      • Handling Errors
      • Webhooks
    • Workflows

      • Placing an order
      • Retrieving a list of checked-in users
      • Registering an account
      • Working with user profiles
      • Reloading an account
    • Resources

      • Billing Profile
      • Card
      • Content
      • Country & Region
      • EGift
      • OnScreen
      • Order
      • User
      • Balances & Rewards
      • Transaction History
      • Inbox
      • Spending Rules
    • Sign in

    Journey

    A journey is a multi-step workflow that is triggered automatically from some end-customer event, such as placing an order or leaving a review.

    The Journey model

    The journey model contains identifying information about the journey as well as configuration details that determine it's behavior.

    Properties

    • Name
      id
      Type
      string
      Description

      Unique identifier for the journey.

    • Name
      name
      Type
      string
      Description

      A unique name for the journey.

    • Name
      hook_url
      Type
      string
      Description

      The input URL for triggering the journey.

    • Name
      flow
      Type
      object
      Description

      An object representing the underlying workflow for the journey.

    • Name
      data
      Type
      object
      Description

      An object containing the configuration data for each step in the journey.

    • Name
      date_created
      Type
      string
      Description

      Timestamp of when the journey was first created.

    • Name
      date_updated
      Type
      string
      Description

      Timestamp of when the journey was last updated.

    • Name
      status
      Type
      string
      Description

      A string enum for indicating the current status of the journey.


    GET/journeys

    Retrieve a list of journeys

    This endpoint allows you to retrieve a paginated list of your journeys. By default, this will include the 25 most recent objects, starting with the most recent.

    Query parameters

    • Name
      limit
      Type
      integer
      Description

      The maximum number of entries to include in the response.

    • Name
      page
      Type
      integer
      Description

      An offset to determine which groups of results to return.

    • Name
      query
      Type
      string
      Description

      A search string which can be used to filter results by various criteria (see below).

    Filter parameters

    These attributes can be used to filter the result set returned by the API. They are included as a space-delimited string of key:value pairs.

    • Name
      n
      Type
      string
      Description

      Name of the journey.

    • Name
      s
      Type
      string
      Description

      Status of the journey.

    Request

    GET
    /journeys
    curl -G https://api.spoonity.com/journeys \
    -H "Authorization: Bearer {token}"
    

    Response

    {
      "items": [
        {
          "id": "jour_a1e9b522f8b1a96e",
          "name": "Welcome Journey",
          "hook_url": "https://hooks.spoonity.com/6yrg3/7hs65",
          "flow": {},
          "data": {},
          "date_created": "2026-02-02T13:48:05.683Z",
          "date_updated": "2026-02-02T13:48:05.683Z",
          "status": "ACTIVE"
        }
      ],
      "next": "https://api.spoonity.com/journeys?limit=25&page=2",
      "prev": null
    }
    

    GET/journeys/:id

    Retrieve a particular journey

    This endpoint allows you to retrieve a specific journey by ID.

    Path parameters

    • Name
      id
      Type
      string
      Description

      The journey ID.

    Request

    GET
    /journeys/:id
    curl -G https://api.spoonity.com/journeys/:id \
    -H "Authorization: Bearer {token}"
    

    Response

    {
      "id": "jour_a1e9b522f8b1a96e",
      "name": "Welcome Journey",
      "hook_url": "https://hooks.spoonity.com/6yrg3/7hs65",
      "flow": {},
      "data": {},
      "date_created": "2026-02-02T13:48:05.683Z",
      "date_updated": "2026-02-02T13:48:05.683Z",
      "status": "ACTIVE"
    }
    

    POST/journeys

    Create a journey

    This endpoint allows you to create a new journey. Journeys are created in a draft state by default.

    Required attributes

    • Name
      name
      Type
      string
      Description

      The name of the journey.

    • Name
      flow
      Type
      object
      Description

      An object representing the underlying workflow for the journey.

    • Name
      data
      Type
      object
      Description

      An object containing the configuration data for each step in the journey.

    Request

    POST
    /journeys
    curl -G https://api.spoonity.com/journeys \
    -H "Authorization: Bearer {token}" \
    -d name="Welcome Journey" \
    -d flow="{}" \
    -d data="{}"
    

    Response

    {
      "id": "jour_a1e9b522f8b1a96e",
      "name": "Welcome Journey",
      "hook_url": "https://hooks.spoonity.com/6yrg3/7hs65",
      "flow": {},
      "data": {},
      "date_created": "2026-02-02T13:48:05.683Z",
      "date_updated": "2026-02-02T13:48:05.683Z",
      "status": "INACTIVE"
    }
    

    PUT/journeys/:id

    Update a journey

    This endpoint allows you to update a journey. A journeys's name, flow, data and status can be updated.

    Path parameters

    • Name
      id
      Type
      string
      Description

      The journey ID.

    Optional attributes

    • Name
      name
      Type
      string
      Description

      The name of the journey.

    • Name
      flow
      Type
      object
      Description

      An object representing the underlying workflow for the journey.

    • Name
      data
      Type
      object
      Description

      An object containing the configuration data for each step in the journey.

    • Name
      status
      Type
      string
      Description

      A status enum. journey can exist in either an ACTIVE or INACTIVE state.

    Request

    PUT
    /journeys/:id
    curl -G https://api.spoonity.com/journeys/:id \
    --request PUT \
    -H "Authorization: Bearer {token}" \
    -d status="ACTIVE"
    

    Response

    {
      "id": "jour_a1e9b522f8b1a96e",
      "name": "Welcome Journey",
      "hook_url": "https://hooks.spoonity.com/6yrg3/7hs65",
      "flow": {},
      "data": {},
      "date_created": "2026-02-02T13:48:05.683Z",
      "date_updated": "2026-02-02T13:48:05.683Z",
      "status": "ACTIVE"
    }
    

    DELETE/journeys/:id

    Delete a journey

    This endpoint allows you to delete a journey. Only draft journey can be deleted.

    Path parameters

    • Name
      id
      Type
      string
      Description

      The journey ID.

    Request

    DELETE
    /journeys/:id
    curl -G https://api.spoonity.com/journeys/:id \
    --request DELETE \
    -H "Authorization: Bearer {token}"
    

    Response

    {}
    

    Was this page helpful?

    PreviousInvoice
    NextLine Item

    © Copyright 2026 Spoonity, Inc. All rights reserved.